Scala Compiler2.13.0 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package util
  Definition Classes
    nsc
- CharArrayReader
- CharArrayReaderData
- ClassPath
- ClassRepresentation
- DirectoryClassPath
- DocStrings
- EditDistance
- EmptyAction
- Exceptional
- FailedInterrupt
- InterruptReq
- JavaCharArrayReader
- JavaClassPath
- MergedClassPath
- ShowPickled
- SimpleTracer
- StackTraceOps
- StringUtil
- WorkScheduler

o

scala.tools.nsc.util

# ClassPath

###
Companion trait ClassPath

#### object ClassPath

Source
  ClassPath.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ClassPath
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Deprecated Type Members

1.  sealed abstract class ClassPathContext extends AnyRef
   Annotations
     @deprecated
   Deprecated

     (Since version 2.12.0) shim for sbt's compiler interface

2.  sealed abstract class JavaContext extends AnyRef
   Annotations
     @deprecated
   Deprecated

     (Since version 2.12.0) shim for sbt's compiler interface

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val RootPackage: String
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
9.  def expandDir(extdir: String): List[String]

   Expand dir out to contents, a la extdir

10.  def expandManifestPath(jarPath: String): List[URL]

    Expand manifest jar classpath entries: these are either urls, or paths relative to the location of the jar.

11.  def expandPath(path: String, expandStar: Boolean = true): List[String]

    Expand path and possibly expanding stars

12.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
13.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
16.  def join(paths: String*): String

    Join classpath using platform-dependent path separator

17.  def manifests: List[URL]
18.  def map(cp: String, f: (String) => String): String

    Split the classpath, apply a transformation function, and reassemble it.

19.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
21.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  def specToURL(spec: String): Option[URL]
23.  def split(path: String): List[String]

    Split classpath using platform-dependent path separator

24.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
25.  def toString(): String
    Definition Classes
      AnyRef → Any
26.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
27.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
28.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped